at.chipkarte.client.dbas.soap

## Class QuittungSearchCriteria

- Object
- - at.chipkarte.client.dbas.soap.QuittungSearchCriteria

-     public class QuittungSearchCriteria
      extends Object

  Enthält die Daten zur Einschränkung der Datensätze im Zuge der Funktion `searchQuittungen`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuittungSearchCriteria()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBisDatum()` Enddatum für den Suchzeitraum von Empfangsbestätigungen.
    `String` | `getDatenblattTyp()` Datenblatttyp, nach dem Empfangsbestätigungen gesucht werden.
    `String` | `getSvNummer()` Sozialversicherungsnummer, nach der Empfangsbestätigungen gesucht werden.
    `String` | `getSvtCode()` Code des Versicherungsträgers der SV-Person.
    `String` | `getVonDatum()` Beginndatum für den Suchzeitraum von Empfangsbestätigungen.
    `void` | `setBisDatum(String _bisDatum)`
    `void` | `setDatenblattTyp(String _datenblattTyp)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setSvtCode(String _svtCode)`
    `void` | `setVonDatum(String _vonDatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuittungSearchCriteria

          public QuittungSearchCriteria()

  - ### Method Detail

    - #### getBisDatum

          public String getBisDatum()

      Enddatum für den Suchzeitraum von Empfangsbestätigungen.
      Die Angabe ist optional.
      Format: "TT.MM.JJJJ"
      Zulässiger Wertebereich: VonDatum <= BisDatum
      Returns:
        BisDatum

    - #### setBisDatum

          public void setBisDatum(String _bisDatum)

    - #### getDatenblattTyp

          public String getDatenblattTyp()

      Datenblatttyp, nach dem Empfangsbestätigungen gesucht werden.
      Die Angabe ist optional. Ist der Parameter nicht angegeben, dann wird nach allen Datenblatttypen selektiert. Die möglichen Werte sind in `DatenblattConstants` definiert.
      Returns:
        DatenblattTyp

    - #### setDatenblattTyp

          public void setDatenblattTyp(String _datenblattTyp)

    - #### getVonDatum

          public String getVonDatum()

      Beginndatum für den Suchzeitraum von Empfangsbestätigungen.
      Die Angabe ist optional.
      Format: "TT.MM.JJJJ"
      Zulässiger Wertebereich: VonDatum <= BisDatum
      Returns:
        VonDatum

    - #### setVonDatum

          public void setVonDatum(String _vonDatum)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer, nach der Empfangsbestätigungen gesucht werden.
      Die Angabe ist optional.
      Format: maximal 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getSvtCode

          public String getSvtCode()

      Code des Versicherungsträgers der SV-Person.
      Die Angabe ist optional.
      Format: maximal 2-stellig
      Returns:
        SvtCode

    - #### setSvtCode

          public void setSvtCode(String _svtCode)